aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu-internal
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/runqemu-internal')
-rwxr-xr-xscripts/runqemu-internal6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index 5711bd3802..a0a1e96eb4 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -138,7 +138,11 @@ else
return 1
fi
- touch $lockfile.lock
+ touch $lockfile.lock 2>/dev/null
+ if [ $? -ne 0 ]; then
+ echo "Acquiring lockfile for $lockfile.lock failed"
+ return 1
+ fi
exec 8>$lockfile.lock
flock -n -x 8
if [ $? -ne 0 ]; then